# Record Class VulkanDeviceAddress

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanDeviceAddress

Record Components:
  `value` - The address

All Implemented Interfaces:
  `Comparable<VulkanDeviceAddress>`

public record VulkanDeviceAddress(long value) extends Record implements Comparable<VulkanDeviceAddress>
A Vulkan device address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanDeviceAddress(long value)`
  Creates an instance of a `VulkanDeviceAddress` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(VulkanDeviceAddress other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `long`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanDeviceAddress

    public VulkanDeviceAddress(long value)
    Creates an instance of a `VulkanDeviceAddress` record class.
    Parameters:
      `value` - the value for the `value` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(VulkanDeviceAddress other)
    Specified by:
      `compareTo` in interface `Comparable<VulkanDeviceAddress>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public long value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component